package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;import org.hibernate.envers.Audited;

@Entity //@Audited
@Table(name = "KesanPsikologis_Diagnosis_T")
public class KesanPsikologis_Diagnosis extends BaseTransaction{
	
	@ManyToOne
	@JoinColumn(name = "PengkajianAwalPsikologiFk")
	@NotNull(message = "Pengkajian Awal Psikologi tidak boleh kosong")
	private PengkajianAwalPsikologi pengkajianAwalPsikologi;
	
	@ManyToOne
	@JoinColumn(name = "KesanPsikologis_DiagnosisDetailFk")
	@NotNull(message = "Kesan Psikologis-Diagnosis tidak boleh kosong")
	private KesanPsikologis_DiagnosisDetail kesanPsikologis;
	
	@Column(name = "keterangan")
	@Caption(value = "Keterangan")
	private String keterangan;

	public PengkajianAwalPsikologi getPengkajianAwalPsikologi() {
		return pengkajianAwalPsikologi;
	}

	public void setPengkajianAwalPsikologi(PengkajianAwalPsikologi pengkajianAwalPsikologi) {
		this.pengkajianAwalPsikologi = pengkajianAwalPsikologi;
	}

	public KesanPsikologis_DiagnosisDetail getKesanPsikologis() {
		return kesanPsikologis;
	}

	public void setKesanPsikologis(KesanPsikologis_DiagnosisDetail kesanPsikologis) {
		this.kesanPsikologis = kesanPsikologis;
	}

	public String getKeterangan() {
		return keterangan;
	}

	public void setKeterangan(String keterangan) {
		this.keterangan = keterangan;
	}
	
}
